Bug 501886 - exec: chroot not found
exec: chroot not found
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 04:39 EDT by Richard W.M. Jones
Modified: 2011-04-12 13:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-12 13:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-05-21 04:39:36 EDT
[Actually this bug is on EPEL-5, but we don't have
a way to file libguestfs bugs against EPEL at the
moment]

On some distributions, chroot is located in /usr/sbin.
If this is not on the path, then you get the error:

  exec: chroot not found

when building the appliance.

The workaround is to add /usr/sbin to PATH.
Comment 1 Mark McLoughlin 2009-05-25 10:50:26 EDT
Moving upstream
Comment 2 Richard W.M. Jones 2011-04-12 13:20:47 EDT
All platforms that we care about now have /usr/sbin
in the path.  This does still affect RHEL 5 but we
workaround that in the spec file.

Note You need to log in before you can comment on or make changes to this bug.